Get availability for multiple campgrounds
curl --request POST \
--url https://api.campflare.com/v2/campgrounds/availability \
--header 'Content-Type: application/json' \
--data '
{
"campground_ids": [
"<string>"
],
"start_date": "2023-12-25",
"end_date": "2023-12-25"
}
'import requests
url = "https://api.campflare.com/v2/campgrounds/availability"
payload = {
"campground_ids": ["<string>"],
"start_date": "2023-12-25",
"end_date": "2023-12-25"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({campground_ids: ['<string>'], start_date: '2023-12-25', end_date: '2023-12-25'})
};
fetch('https://api.campflare.com/v2/campgrounds/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campgrounds": [
{
"campground_id": "<string>",
"campsite_availability": [
{
"campsite_id": "<string>",
"availability": {}
}
]
}
]
}{
"error": {
"message": "<string>",
"kind": "<string>"
}
}Campgrounds
Bulk Availability
Returns availability status for each campsite across multiple campgrounds.
Get availability for multiple campgrounds
Returns daily availability for multiple campgrounds in a single request. This is equivalent to calling the single campground availability endpoint for each campground, but in one request.
- Maximum of 25 campground IDs per request.
start_datedefaults to today if not provided.end_datedefaults tostart_date+ 60 days if not provided.
| Status | Description |
|---|---|
available | The campsite is available for reservation for that date |
reserved | The campsite is already reserved and occupied for that date |
closed | The campsite is closed and not accepting reservations or walk-ups |
first-come-first-serve | The campsite is available on a first come first serve basis |
not-yet-released | The date is in the future but reservations have not yet been released |
unknown | The availability status is unknown or cannot be determined |
POST /campgrounds/availability
{
"campground_ids": ["campground-id-1", "campground-id-2"],
"start_date": "2026-06-01",
"end_date": "2026-06-07"
}
{
"campgrounds": [
{
"campground_id": "campground-id-1",
"campsite_availability": [
{
"campsite_id": "123456",
"availability": {
"2026-06-01": "available",
"2026-06-02": "reserved",
"2026-06-03": "available",
"2026-06-04": "closed",
"2026-06-05": "closed",
"2026-06-06": "available",
"2026-06-07": "available"
}
}
]
},
{
"campground_id": "campground-id-2",
"campsite_availability": [
{
"campsite_id": "789012",
"availability": {
"2026-06-01": "first-come-first-serve",
"2026-06-02": "first-come-first-serve",
"2026-06-03": "first-come-first-serve",
"2026-06-04": "closed",
"2026-06-05": "closed",
"2026-06-06": "first-come-first-serve",
"2026-06-07": "first-come-first-serve"
}
}
]
}
]
}
Body
application/json
Bulk availability request parameters
Response
Bulk campground availability
Show child attributes
Show child attributes